---
layout: release
date: 2022-04-20
tag: v0.6.0-rc.5n
---

## What's New
## 🔤 General
- removed elevation @warunicorn19 (#5416)
- added meshsync animation to dde @warunicorn19 (#5415)
- [mesheryctl] Improved UX for bash script installer @cpepper96 (#5371)
- Adds HPE Security Engineering as adopter @mchurichi (#5382)
- [Visualiser] Add Cluster Name To Visualiser @theBeginner86 (#5348)
- Fix failing kubeopenapi binary due to missing library @Revolyssup (#5373)
- [Docker Extension] Proxy: remove unnecessary caps @leecalcote (#5369)
- [CI] Made changes to Makefile to enforce usage of go v1.17.8 @asubedy (#5367)
- [DDE] Setup Golang proxy for the UI to be able to communicate with Meshery Server @sudo-NithishKarthik (#5365)
- [Bug] - Fixed Upstream URL Issue @adithyaakrishna (#5359)
- potential fix for dde icon @warunicorn19 (#5358)
- dde_css @warunicorn19 (#5356)
- Update ADOPTERS.md @samirparhi-dev (#5353)
- [CI] Workflow DDE @leecalcote (#5351)
- Changed Description @hershd23 (#5350)
- small changes in dde @warunicorn19 (#5347)
- added browse in dde @warunicorn19 (#5343)

## ⌨️ Meshery CLI

- fix the context parsing logic in system config subcommand #5408 @Revolyssup (#5411)
- [mesheryctl] fix the panic issue in system config minikube command @hexxdump (#5402)

## 🖥 Meshery UI

- increased size of tooltip @warunicorn19 (#5410)
- [UI] dev server build Failure due to eslint upgrades @Abhishek-kumar09 (#5403)
- Fix notifications not showing up. @MUzairS15 (#5401)
- [UI]Added arrow on hovering Collapsed SideNav @Harshit-Dandriyal (#5297)
- fix: update operation not working from codemirror @Abhishek-kumar09 (#5398)
- [UI]Designed Multi Cluster Context Switcher Search Box and Chip @Harshit-Dandriyal (#5310)
- Bump async from 3.2.0 to 3.2.3 in /ui @dependabot (#5381)
- Bump async from 3.2.0 to 3.2.3 in /provider-ui @dependabot (#5380)
- fix: extension class conflicts due to mui makestyles classNames conflicts @Abhishek-kumar09 (#5383)
- Fix: Select All not working @MUzairS15 (#5378)
- [UI] Card view of Design Page @asubedy (#5339)
- [Extension] Use loading component from extension point @Abhishek-kumar09 (#5372)
- [RJSF] Support Lazy loading of components tooltip in Exntension @Abhishek-kumar09 (#5363)
- Bump moment from 2.29.1 to 2.29.2 in /ui @dependabot (#5362)
- Bump @types/react-relay from 11.0.2 to 13.0.2 in /ui @dependabot (#5332)
- Bump babel-plugin-relay from 11.0.2 to 13.2.0 in /ui @dependabot (#5333)

## 🔋 Patterns, Filters, Applications

- Do not change service name in patternfile for designs unless duplicated @Revolyssup (#5400)
- fix: update operation not working from codemirror @Abhishek-kumar09 (#5398)
- [UI] Card view of Design Page @asubedy (#5339)

## 🐛 Bug Fixes

- [Bug] Fix Panic @theBeginner86 (#5412)

## 🧰 Maintenance

- Service Mesh Provisioning for DDE @warunicorn19 (#5346)
- Implement docker-compose to kubernetes manifest conversion using Kompose @leecalcote (#5394)
- [CI] Helm: Upgrade Helm docs library @leecalcote (#5407)
- Remove wrk2 submodule @leecalcote (#5384)
- Bump async from 3.2.0 to 3.2.3 in /ui @dependabot (#5381)
- Bump async from 3.2.0 to 3.2.3 in /provider-ui @dependabot (#5380)
- Revert "[CI] Use mesheryctl to start adapters in CI" @gr455 (#5379)
- fix(#5342): image version to edge-latest for meshery-perf @gkarthiks (#5344)
- [CI] Use mesheryctl to start adapters in CI @gr455 (#5361)
- Bump moment from 2.29.1 to 2.29.2 in /ui @dependabot (#5362)
- Bump @types/react-relay from 11.0.2 to 13.0.2 in /ui @dependabot (#5332)
- Bump babel-plugin-relay from 11.0.2 to 13.2.0 in /ui @dependabot (#5333)
- Bump github.com/99designs/gqlgen from 0.17.1 to 0.17.2 @dependabot (#5324)
- [CI] Upgrade setup-go version @alphaX86 (#5354)
- [CI] Docker Extension for Meshery workflow @leecalcote (#5352)
- [CI] DDE: Fix release channel logic @leecalcote (#5349)
- Updated Contributing-gitflow(Readme) @Nandani-Paliwal (#5313)

## 📖 Documentation

- Service Mesh Provisioning for DDE @warunicorn19 (#5346)
- Bump nokogiri from 1.13.3 to 1.13.4 in /docs @dependabot (#5370)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Harshit-Dandriyal, @MUzairS15, @Nandani-Paliwal, @Revolyssup, @adithyaakrishna, @alphaX86, @asubedy, @cpepper96, @dependabot, @dependabot[bot], @gkarthiks, @gr455, @hershd23, @hexxdump, @l5io, @leecalcote, @mchurichi, @samirparhi-dev, @sudo-NithishKarthik, @theBeginner86 and @warunicorn19
